pay/order_status
Body
application/json
- Type: stringapi
_key max length:255requiredMerchant's key (identifier). It is a sensitive data
- Type: stringtransaction
_id requiredUnique identifier of the transaction in the payment gateway system.
- Type: stringreference
Unique order number in the store system for further order identification
Responses
- application/json
Request Example for post/pay/order_status
curl https://pay.mrcr.io/pay/order_status \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"api_key": "e48d35a0-6030-013c-f4c2-053294816e63",
"transaction_id": "7",
"reference": "ref123"
}'
{
"data": "eyJpdGVtcyI6W3sic3RhdHVzIjowLCJzdGF0dXNfbmFtZSI6ImNyZWF0ZWQiLCJwcm9jZXNzaW5nX2Vycm9yX21zZyI6bnVsbCwidHJhbnNhY3Rpb25faWQiOjcsImRlc2NyaXB0aW9uIjoicGF5LXJlY3VycmVudF90ZXN0X3BheW1lbnRfMjQtMDEtMjZfMSIsInJlZmVyZW5jZSI6InBheS1yZWN1cnJlbnRfdGVzdF9wYXltZW50XzI0LTAxLTI2XzEiLCJhbW91bnQiOiIxMC42NSIsImN1cnJlbmN5IjoiRVVSIn1dLCJzdWNjZXNzIjp0cnVlLCJ0aW1lX3Byb2MiOiIwLjAyIHNlYy4iLCJyZXF1ZXN0X2lkIjoiMjgzMTY1MDM3NCJ9",
"sign": "e48de2b6f531b67ad3ba3865f75f0ae0",
"success": true,
"time_proc": "0.11 sec.",
"request_id": "6086133213"
}